summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAleksander Mistewicz <a.mistewicz@samsung.com>2017-04-26 11:58:50 (GMT)
committerAleksander Mistewicz <a.mistewicz@samsung.com>2017-06-06 11:44:33 (GMT)
commit69e59d74f5aff8e6b3f14557d7fa9cf92f14c0a4 (patch)
tree0b797d9ba3893bc1b66c6426048a56de1e06ada0
parent09bdc967418243df4dc49ee4b1c5e827b77d42a9 (diff)
downloadmajor-69e59d74f5aff8e6b3f14557d7fa9cf92f14c0a4.zip
major-69e59d74f5aff8e6b3f14557d7fa9cf92f14c0a4.tar.gz
major-69e59d74f5aff8e6b3f14557d7fa9cf92f14c0a4.tar.bz2
Report USB and sd-mux-ctrl states to Prometheusrefs/changes/26/130926/2
Change-Id: I14cab8af557aa9c447078b62442d036a6df86ab0
-rw-r--r--tsp/cronfile.example1
-rwxr-xr-xtsp/jobs/trigger_downloads.sh8
-rwxr-xr-xtsp/jobs/watch_usb.sh28
3 files changed, 36 insertions, 1 deletions
diff --git a/tsp/cronfile.example b/tsp/cronfile.example
index 4dc5ca7..543e658 100644
--- a/tsp/cronfile.example
+++ b/tsp/cronfile.example
@@ -1,4 +1,5 @@
*/10 * * * * /opt/testlab-major/tsp/jobs/watcher.sh
0 */4 * * * /opt/testlab-major/tsp/jobs/watch_diskspace.sh
0 * * * * /opt/testlab-major/tsp/jobs/watch_sdb.sh
+*/10 * * * * /opt/testlab-major/tsp/jobs/watch_usb.sh
0 */8 * * * /opt/testlab-major/tsp/jobs/watch_symlinks.sh
diff --git a/tsp/jobs/trigger_downloads.sh b/tsp/jobs/trigger_downloads.sh
index 3d57bb2..d765e4a 100755
--- a/tsp/jobs/trigger_downloads.sh
+++ b/tsp/jobs/trigger_downloads.sh
@@ -29,7 +29,6 @@ test -n "${TIMESTAMP}" || die "Missing argument: timestamp"
mkdir -p "${WS_WATCHER}"
cd "${WS_WATCHER}"
-# Create required files
touch dispatched_urls
touch "${TIMESTAMP}"
@@ -50,6 +49,8 @@ esac
touch next_dwn
next=$(cat next_dwn)
test -n "$next" || next=1
+initial="$next"
+
# Allocate 300 numbers in case this script terminates during dispatch
echo $((next+300)) > "${WS_WATCHER}/next_dwn" || die "Write failed: ${WS_WATCHER}/next_dwn"
# Append to unique_dispatch in case previous job failed
@@ -97,4 +98,9 @@ do
done < unique_dispatch
cd "${WS_WATCHER}"
echo "$next" > "${WS_WATCHER}/next_dwn" || die "Write failed: ${WS_WATCHER}/next_dwn"
+
+# Report amount of new images
+post_prom "image_dispatch$(echo "$TIMESTAMP" | tr '.' '_')" "$((next-initial))" "Amount of images dispatched for $TIMESTAMP"
+
+# Cleanup
rm -f unique_dispatch modified_urls manual_urls
diff --git a/tsp/jobs/watch_usb.sh b/tsp/jobs/watch_usb.sh
new file mode 100755
index 0000000..99282a4
--- /dev/null
+++ b/tsp/jobs/watch_usb.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# Copyright (c) 2017 Samsung Electronics Co., Ltd All Rights Reserved
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Author: Aleksander Mistewicz <a.mistewicz@samsung.com>
+export TSP_DIR="$(CDPATH='' cd -- "$(dirname -- "$0")" && pwd -P)/.."
+
+. "${TSP_DIR}/common.sh"
+
+timeout 120 lsusb
+USB_RET="$?"
+post_prom "usb_status" "$USB_RET" "Return value of lsusb"
+
+timeout 120 /usr/local/bin/sd-mux-ctrl -l
+SDMUX_RET="$?"
+post_prom "sdmux_status" "$SDMUX_RET" "Return value of sd-mux-ctrl -l"